Subject: Re: [bug#43482] [PATCH 1/3] doc: Update the master menu.

From: zimoun <[email-masked]>
Date: Thu, 24 Sep 2020 17:28:57 +0200

On Thu, 24 Sep 2020 at 16:51, Ludovic Courtès <[email-masked]> wrote:

> How come it got this much out of sync?  How did you update it?  IME the
> Emacs thingie gets confused when some but not all the top-level nodes
> are in separate files.

I do not remember exactly how.  Well, I have used the 'menu-bar' since
I never remember the TexInfo keys.
Then, I tried 'texinfo-master-menu' and  'texinfo-every-node-update'
and 'texinfo-all-menus-update' and manually checked with Magit the
diff.

For example, this commit b460ba7992 adds one node but does not update
the master menu; the TeXInfo workflow is a bit tedious and the mistake
always happens somehow.

Cheers,
simon